org.apache.tinkerpop.gremlin.structure.io.gryo.kryoshim

## Interface SerializerShim<T>

- Type Parameters:
    `T` - the class this serializer reads/writes from/to bytes.
  All Known Implementing Classes:
    GryoSerializersV1d0.BindingSerializer, GryoSerializersV1d0.BytecodeSerializer, GryoSerializersV1d0.DefaultRemoteTraverserSerializer, GryoSerializersV1d0.EdgeSerializer, GryoSerializersV1d0.LambdaSerializer, GryoSerializersV1d0.PathSerializer, GryoSerializersV1d0.PropertySerializer, GryoSerializersV1d0.PSerializer, GryoSerializersV1d0.TextPSerializer, GryoSerializersV1d0.VertexPropertySerializer, GryoSerializersV1d0.VertexSerializer, GryoSerializersV3d0.BindingSerializer, GryoSerializersV3d0.BytecodeSerializer, GryoSerializersV3d0.DefaultRemoteTraverserSerializer, GryoSerializersV3d0.EdgeSerializer, GryoSerializersV3d0.LambdaSerializer, GryoSerializersV3d0.MetricsSerializer, GryoSerializersV3d0.PathSerializer, GryoSerializersV3d0.PropertySerializer, GryoSerializersV3d0.PSerializer, GryoSerializersV3d0.TextPSerializer, GryoSerializersV3d0.TraversalMetricsSerializer, GryoSerializersV3d0.VertexPropertySerializer, GryoSerializersV3d0.VertexSerializer, ObjectWritableSerializer, RequestMessageGryoSerializer, ResponseMessageGryoSerializer, StarGraphSerializer, ToyPoint.ToyPointSerializer, ToyTriangle.ToyTriangleSerializer, VertexWritableSerializer

      public interface SerializerShim<T>

  A minimal `org.apache.tinkerpop.shaded.kryo.Serializer`-like abstraction. See that class for method documentation.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default boolean` | `isImmutable()`
    `<I extends InputShim> T` | `read(KryoShim<I,?> kryo, I input, Class<T> clazz)`
    `<O extends OutputShim> void` | `write(KryoShim<?,O> kryo, O output, T object)`

- - ### Method Detail

    - #### write

          <O extends OutputShim> void write(KryoShim<?,O> kryo,
                                            O output,
                                            T object)

    - #### read

          <I extends InputShim> T read(KryoShim<I,?> kryo,
                                       I input,
                                       Class<T> clazz)

    - #### isImmutable

          default boolean isImmutable()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.